Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.constraint
Class ConstraintMatch

    java.lang.Object
      org.optaplanner.core.api.score.constraint.ConstraintMatch

All Implemented Interfaces:
  Serializable, Comparable<ConstraintMatch>

Direct Known Subclasses:
  BigDecimalConstraintMatch, DoubleConstraintMatch, IntConstraintMatch, LongConstraintMatch

    public abstract class ConstraintMatch

extends Object
implements Serializable, Comparable<ConstraintMatch>

See Also:
  Serialized Form

Field Summary
`protected List<Object>` | `justificationList`

Constructor Summary
`protected` | `ConstraintMatch(List<Object> justificationList)`

Method Summary
`int` | `compareTo(ConstraintMatch other)`
`abstract ConstraintMatchTotal` | `getConstraintMatchTotal()`
`List<Object>` | `getJustificationList()`
`abstract Number` | `getWeightAsNumber()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### justificationList

    protected final List<Object> justificationList

Constructor Detail

### ConstraintMatch

    protected ConstraintMatch(List<Object> justificationList)

Method Detail

### getConstraintMatchTotal

    public abstract ConstraintMatchTotal getConstraintMatchTotal()

### getJustificationList

    public List<Object> getJustificationList()

### getWeightAsNumber

    public abstract Number getWeightAsNumber()

### compareTo

    public int compareTo(ConstraintMatch other)

  Specified by:
    `compareTo` in interface `Comparable<ConstraintMatch>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.